<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.55</b></p>
<ul class="maxwidth">';

// Option d''enregistrement synchrone du nombre d''inscrits pour affichage
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_color_text'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_color_text', '0', 'Option de coloration du texte libre.')");
}
echo '<li>Option de coloration du texte libre (désactivée par défaut).</li>';

$usersup = mysqli_query($bdd,"SELECT * FROM ".$prefix."_user");
$totm=0;
foreach($usersup as $user) {
	if($user['droits_spe']==''||substr($user['droits_spe'],0,1)==';') {
		mysqli_query($bdd,"UPDATE ".$prefix."_user SET droits_spe = 'def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def;def' WHERE id = '".$user['id']."'");
		$totm ++;. 
	}
}
echo '<li>Correction de droits spécifiques pour l\'utilisateur admin, si nécessaire ('.$totm.' concerné.s).</li>';

// Paramétrage du charset
if(mysqli_num_rows(mysqli_query($bdd, "SELECT s3_id, nom_savoir, notions FROM ".$prefix."_savoirs3 WHERE nom_savoir LIKE '%Ã%'"))>0) {
	$charsetp = 'latin1';
}
else {
	$charsetp = 'utf8mb4';
}
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'charset'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'charset', '".$charsetp."', 'Paramétrage du charset.')");
}
echo '<li>Paramétrage du charset (défini en utf8mb4 ou latin1 selon la base actuelle) : '.$charsetp.'.</li>';

mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '10' WHERE param_nom = 'freq_excluopt_signalduree' AND valeur = '0'");
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '10' WHERE param_nom = 'freq_excluopt_excduree' AND valeur = '0'");
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '10' WHERE param_nom = 'freq_excluopt_limitduree' AND valeur = '0'");
echo '<li>Indication de durée par défaut (10) sur exclusions, limitations et signalements, si 0.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.55' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.55.</li></ul>';
?>